ChargebeeAPI
Using AI coding agents like Claude Code or Cursor? Try the official Chargebee Agent Skills to speed up your development.Try now

Upload Usages File

This endpoint returns an upload URL for uploading usage events files, allowing you to upload files in supported formats.

Use this endpoint to upload a usage event file in .csv format. The file is processed asynchronously, and its status can be tracked using the usage_file resource.

URL Format

GET https://[site].chargebee.com/api/v2

Input Parameters

file_name

Name of the file being uploaded.

Note: No special characters are allowed in the file_name except for underscores _ and hyphens - .Example:

Valid file nameInvalid file name
merchant_data.csvmerchant@data.csv
sales_report-2024.csvsales&report-2024.csv
customer_details_file.csvcustomer!details#file.csv
mime_type

Indicates the format of a file.

Note: Currently, only text/csv is supported.